public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Petr Vaněk" <arkamar@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mydumper/
Date: Thu,  7 Mar 2024 16:33:52 +0000 (UTC)	[thread overview]
Message-ID: <1709829036.ca748501dc3eac889d0fde75d90ab6f47b250159.arkamar@gentoo> (raw)

commit:     ca748501dc3eac889d0fde75d90ab6f47b250159
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Wed Mar  6 08:05:29 2024 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Thu Mar  7 16:30:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca748501

dev-db/mydumper: add 0.15.2.8

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 dev-db/mydumper/Manifest                 |  1 +
 dev-db/mydumper/mydumper-0.15.2.8.ebuild | 49 ++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-db/mydumper/Manifest b/dev-db/mydumper/Manifest
index 800df8c84dc6..71618083e663 100644
--- a/dev-db/mydumper/Manifest
+++ b/dev-db/mydumper/Manifest
@@ -1,2 +1,3 @@
 DIST mydumper-0.14.5-2.tar.gz 177402 BLAKE2B bcd2658e1d8e452803608f27ed1b2ccc6fe428fcb44117f88a5cb0e6de1536f89c1f0768020da2d954a95cc20fe1315af8a38f477aee7c394540fbb4f001ac8d SHA512 d19c22fb3932f7428f560dcd7cdafc92e035f924ee35320048eca2067e75a297a44aaf08c6f124ef55c604c34311be2eeb0858c6d41be5ea73a68c8c0afa66ab
 DIST mydumper-0.15.1-3.tar.gz 165488 BLAKE2B 696a725528ad4e32ef6a53f29770a74ecadf55640421f744e49d033c2107050d35950fbd407d0d755159c05c662c92d0cb95e21b8595f43dcd2a95cc324194be SHA512 5e62ca872d3bd763a0a2782413fc90875e5b8159a3861eb2c3ec4c8d6ddb9bb6b33998cafdcdc4c014915b436ee89fde1674de0f90c7bec09f0474a7c76bc62d
+DIST mydumper-0.15.2-8.tar.gz 186389 BLAKE2B 84e08fa6460a156771f598a8a0c98c79089490f9f2fe3b90fa49efd519e2270468fe86287bab03612006489a3a1d5ab2442e76cc0f4825c8df95acec30a1c4ba SHA512 f6ca5c5756944bd2704e8a25432db1fbe14ed2a1e88b549c0799c3e0c251e524523ed39797b0b2c15c9d65c0e6e5ce3d93a60a17c77090732a8f909ab24a0126

diff --git a/dev-db/mydumper/mydumper-0.15.2.8.ebuild b/dev-db/mydumper/mydumper-0.15.2.8.ebuild
new file mode 100644
index 000000000000..18e83353ff1b
--- /dev/null
+++ b/dev-db/mydumper/mydumper-0.15.2.8.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+MY_PV="$(ver_rs 3 -)"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="A high-performance multi-threaded backup (and restore) toolset for MySQL"
+HOMEPAGE="https://github.com/maxbube/mydumper"
+SRC_URI="https://github.com/maxbube/mydumper/archive/v${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND="app-arch/zstd
+	dev-db/mysql-connector-c:=
+	dev-libs/glib:2
+	dev-libs/libpcre
+	dev-libs/openssl:=
+	sys-libs/zlib:="
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+	doc? ( dev-python/sphinx )"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.13.1-atomic.patch" #654314
+)
+
+src_prepare() {
+	# respect user cflags; do not expand ${CMAKE_C_FLAGS} (!)
+	sed -i -e 's|-g -Werror|${CMAKE_C_FLAGS}|' CMakeLists.txt || die
+
+	# fix doc install path
+	sed -i -e "s|share/doc/mydumper|share/doc/${PF}|" docs/CMakeLists.txt || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(-DBUILD_DOCS=$(usex doc))
+
+	cmake_src_configure
+}


             reply	other threads:[~2024-03-07 16:33 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-07 16:33 Petr Vaněk [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-03 16:41 [gentoo-commits] repo/gentoo:master commit in: dev-db/mydumper/ Joonas Niilola
2025-01-03 16:41 Joonas Niilola
2024-12-01 12:12 Sam James
2024-10-18  7:06 Arthur Zamarin
2024-03-11 14:24 Sam James
2024-03-07 16:33 Petr Vaněk
2024-03-07 16:33 Petr Vaněk
2023-11-02 10:25 Sam James
2023-10-21  8:43 Joonas Niilola
2023-09-01 17:15 Arthur Zamarin
2023-09-01 17:15 Arthur Zamarin
2023-08-19  4:26 Sam James
2023-07-14  6:50 Joonas Niilola
2023-07-14  6:50 Joonas Niilola
2023-06-23 20:16 Sam James
2023-04-26  4:03 Sam James
2023-04-17 11:56 Sam James
2023-02-15  5:53 Sam James
2022-11-10 16:15 Joonas Niilola
2022-10-25 17:55 Sam James
2022-08-04  6:37 Joonas Niilola
2022-08-04  6:37 Joonas Niilola
2022-05-13 20:04 Sam James
2022-04-29 12:20 Joonas Niilola
2022-02-06 19:47 Ionen Wolkens
2022-01-07  5:14 Sam James
2022-01-07  5:14 Sam James
2021-12-09 16:22 Agostino Sarubbo
2021-10-15 10:22 Joonas Niilola
2021-10-15 10:22 Joonas Niilola
2021-10-15 10:22 Joonas Niilola
2021-09-29 14:07 Sam James
2021-08-08 19:21 Ionen Wolkens
2021-08-08 19:21 Ionen Wolkens
2021-05-23 22:28 Agostino Sarubbo
2021-04-16  6:26 Joonas Niilola
2021-02-05 10:40 Sam James
2021-02-04 22:27 Thomas Deutschmann
2021-02-04 22:27 Thomas Deutschmann
2019-01-07 17:00 Lars Wendler
2018-10-02  9:33 Thomas Deutschmann
2018-05-24 10:23 Amy Liffey
2017-10-08 12:29 Amy Liffey
2017-10-01 10:30 Jonas Stein
2017-03-23 20:53 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709829036.ca748501dc3eac889d0fde75d90ab6f47b250159.arkamar@gentoo \
    --to=arkamar@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox